@import "../../../../core/variables";

.switch {
  display: inline-flex;
}

@mixin activeValue {
  background: $color-green;
  color: $color-white;
  box-shadow: inset 0 0 0 1px rgba(34, 34, 51, 0.15);
  position: relative;
}

.value {
  min-height: 46px;
  min-width: 130px;
  padding: $indent-xxs;
  display: flex;
  align-items: center;
  justify-content: center;
  color: $color-gray-900;
  background: $color-white;
  font-size: $font-size-md;
  font-weight: $font-weight-medium;
  cursor: pointer;
  box-shadow: inset 0 0 0 1px $color-gray-600;
  position: relative;

  transition: background .3s ease, color .3s ease;
  will-change: background, color;

  &:last-of-type {
    border-top-right-radius: $border-radius-md;
    border-bottom-right-radius: $border-radius-md;
  }

  &:first-of-type {
    border-top-left-radius: $border-radius-md;
    border-bottom-left-radius: $border-radius-md;
  }

  &:before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: block;
    border-radius: inherit;
    transition: box-shadow .3s ease;
    will-change: box-shadow;
  }

  &:not(.activeValue) {
    &:hover, &:focus {
      position: relative;
      z-index: 1;
      &:before {
        box-shadow: 0 0.12rem 0.62rem rgba(129, 142, 163, 0.2), 0 0.06rem 0.12rem rgba(129, 142, 163, 0.3);
      }
    }

    &:active {
      @include activeValue;
    }
  }

  + .value {
    margin-left: -1px;
  }
}

.activeValue {
  @include activeValue;
}